//=============================================================================
// Deagle Inventory class
//=============================================================================
class Deagle extends KFWeapon;

function float GetAIRating()
{
	local Bot B;


	B = Bot(Instigator.Controller);
	if ( (B == None) || (B.Enemy == None) )
		return AIRating;

	return (AIRating + 0.0003 * FClamp(1500 - VSize(B.Enemy.Location - Instigator.Location),0,1000));
}

function byte BestMode()
{
    return 0;
}

defaultproperties
{

     ClipCount=7
     ReloadRate=1.730000
     ReloadBeginSound=Sound'KFWeaponSound.DeagleClipout'
     ReloadSound=Sound'KFWeaponSound.DeagleClipin'
     ReloadAnim="Reload"
     ReloadAnimRate=1.000000
     bUseDynamicLights=true
     FireModeClass(0)=Class'KFmod.DeagleFire'
     FireModeClass(1)=class'KFmod.NoFire'
     PutDownAnim="PutDown"
     AIRating=0.400000
     SelectSound=Sound'KFPlayerSound.getweaponout'
     CurrentRating=0.400000
     bShowChargingBar=True
     OldCenteredOffsetY=0.000000
     OldPlayerViewOffset=(X=-8.000000,Y=5.000000,Z=-6.000000)
     OldSmallViewOffset=(X=4.000000,Y=11.000000,Z=-12.000000)
     OldPlayerViewPivot=(Pitch=400)
     OldCenteredRoll=3000
     Description="Big, and deadly"
     EffectOffset=(X=100.000000,Y=25.000000,Z=-10.000000)
     DisplayFOV=70.000000
     Priority=37
     SmallViewOffset=(X=13.000000,Y=12.000000,Z=-10.000000)
     CenteredOffsetY=-5.000000
     CenteredRoll=3000
     CenteredYaw=-1500
     InventoryGroup=2
     PickupClass=Class'KFmod.DeaglePickup'
     PlayerViewOffset=(X=4.000000,Y=5.500000,Z=-6.000000)
     PlayerViewPivot=(Pitch=400)
     BobDamping=8.000000
     AttachmentClass=Class'KFmod.DeagleAttachment'
     IconMaterial=Texture'KillingFloorHUD.Generic.HUD'
     IconCoords=(X1=250,Y1=110,X2=330,Y2=145)
     ItemName="Handcannon"
     Mesh=SkeletalMesh'KFWeaponModels.Deagle'
     TransientSoundVolume=1.000000
     TransientSoundRadius=300.000000
     DrawScale=0.900000
     TPAnim=DeagleBlast
}
