class LAWFire extends ProjectileFire;


var vector  KickMomentum;

function DoFireEffect()
{
    Super.DoFireEffect();

    if (Instigator != None)
        Instigator.AddVelocity(KickMomentum >> Instigator.GetViewRotation());
}

function Recoil()
{
    local Rotator NewRotation;
    local float NewPitch, NewYaw;

    if ( (Instigator != None) && Instigator.IsFirstPerson()){
    NewPitch = int(Frand()*755); NewYaw = int(Frand()*910);
    if (Frand() > 0.5) NewYaw *= -1;
    if (Frand() > 0.5) NewPitch *= -1;
    NewRotation = Instigator.GetViewRotation();
    NewRotation.Pitch += NewPitch;
    NewRotation.Yaw += NewYaw;
    Instigator.SetViewRotation(NewRotation);}
}

event ModeDoFire()
{
    Recoil();
    Super.ModeDoFire();
}
defaultproperties
{
    AmmoClass=class'RocketAmmo'
    AmmoPerFire=1
    FireRate=3.0

    ProjectileClass=class'KFMod.LAWProj'
    ProjSpawnOffset=(X=100,Y=0,Z=0)

    FlashEmitterClass=None

    FireSound=Sound'WeaponSounds.P1RocketLauncherFire'
    FireForce="redeemer_shoot"  // jdf

    bSplashDamage=true
    bRecommendSplashDamage=true
    BotRefireRate=3
    TransientSoundVolume=+1.0

    ShakeOffsetMag=(X=-20.0,Y=0.00,Z=0.00)
    ShakeOffsetRate=(X=-1000.0,Y=0.0,Z=0.0)
    ShakeOffsetTime=2
    ShakeRotMag=(X=0.0,Y=0.0,Z=0.0)
    ShakeRotRate=(X=0.0,Y=0.0,Z=0.0)
    ShakeRotTime=2
    ProjPerFire=1
    Spread=500
    SpreadStyle=SS_Random
    
      KickMomentum=(X=-205.000000,Z=105.000000)

}
