//=============================================================================
// Shotgun Fire
//=============================================================================
class ShotgunFire extends KFShotgunFire;

var vector  KickMomentum;

function DoFireEffect()
{
    Super.DoFireEffect();

    if (Instigator != None)
        Instigator.AddVelocity(KickMomentum >> Instigator.GetViewRotation());
}

function Recoil()
{
    local Rotator NewRotation;
    local float NewPitch, NewYaw;

    if ( (Instigator != None) && Instigator.IsFirstPerson()){
    NewPitch = int(Frand()*755); NewYaw = int(Frand()*910);
    if (Frand() > 0.5) NewYaw *= -1;
    if (Frand() > 0.5) NewPitch *= -1;
    NewRotation = Instigator.GetViewRotation();
    NewRotation.Pitch += NewPitch;
    NewRotation.Yaw += NewYaw;
    Instigator.SetViewRotation(NewRotation);}
}

event ModeDoFire()
{
    Recoil();
    Super.ModeDoFire();
}

defaultproperties
{
     KickMomentum=(X=-85.000000,Z=15.000000)
     ProjPerFire=15
     bAttachSmokeEmitter=True
     TransientSoundRadius=500.000000
     FireSound=Sound'KFWeaponSound.ShotgunFire'
     FireRate=2.000000
     AmmoClass=Class'KFmod.ShotgunAmmo'
     ProjectileClass=Class'KFmod.ShotgunBullet'
     BotRefireRate=2.000000
     aimerror=1.000000
     TransientSoundVolume=+95
     FlashEmitterClass=class'KFMod.ShotgunMuzzFlash'
}
