// Zombie Monster for KF Invasion gametype
// GOREFAST.
// He's speedy, and swings with a Single enlongated arm, affording him slightly more range

class ZombieMonster3 extends KFMonster ;

defaultproperties
{
     damageRand=10
     damageConst=8
     damageForce=5000

     Health=500
     bCanDodge=false
     GroundSpeed=+00130.000000
     WaterSpeed=+00120.000000
     AmbientSound=Sound'KFPlayerSound.Zombiesbreath'
     Mesh=SkeletalMesh'KFCharacterModels.GoreFast'
     Skins(0)=Texture'KFCharacters.GoreFast'
     CollisionRadius=26.000000
     CollisionHeight=42.000000
     RotationRate=(Pitch=3072,Yaw=45000,Roll=0)

     HitSound(0)=Sound'KFPlayerSound.zpain1'
     HitSound(1)=Sound'KFPlayerSound.zpain2'
     HitSound(2)=Sound'KFPlayerSound.zpain3'
     HitSound(3)=Sound'KFPlayerSound.zpain4'

    ScoringValue=5
    AmbientGlow=0

    meleeAnims(0)= ClawGore
    meleeAnims(1)= ClawGore
    meleeAnims(2)= ClawGore
    

    WalkAnims(0)=WalkGore
    WalkAnims(1)=WalkGore
    WalkAnims(2)=WalkGore
    WalkAnims(3)=WalkGore
    
    MeleeRange=+00060.000000
    
    MovementAnims(0)=WalkGore
    MovementAnims(1)=WalkGore
    MovementAnims(2)=WalkGore
    MovementAnims(3)=WalkGore



