class KFShotgunFire extends FlakFire
    abstract;

var float LastClickTime;

var() Name EmptyAnim;
var() float EmptyAnimRate;

simulated function bool AllowFire()
{
    if(KFWeaponShotgun(Weapon).bIsReloading)
        return false;

    if(KFWeaponShotgun(Weapon).ClipCount < 1)
    {
        if(Level.TimeSeconds - LastClickTime > FireRate)
        {
            Weapon.PlayOwnedSound(NoAmmoSound, SLOT_Interact, TransientSoundVolume,,,, false);
            LastClickTime = Level.TimeSeconds;

            if(Weapon.HasAnim(EmptyAnim))
                weapon.PlayAnim(EmptyAnim, EmptyAnimRate, 0.0);
        }

        return false;
    }

    LastClickTime = Level.TimeSeconds;

    return Super.AllowFire();

}

defaultproperties
{
SpreadStyle=SS_Random
Spread=3000
}
